Bug 1288225 - mingw-win-iconv failed to build from source on AArch64
Summary: mingw-win-iconv failed to build from source on AArch64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mingw-win-iconv
Version: epel7
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Erik van Pienbroek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64
TreeView+ depends on / blocked
 
Reported: 2015-12-03 22:06 UTC by D. Marlin
Modified: 2016-01-16 20:37 UTC (History)
4 users (show)

Fixed In Version: mingw-win-iconv-0.0.6-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-16 20:37:04 UTC
Type: Bug


Attachments (Terms of Use)

Description D. Marlin 2015-12-03 22:06:22 UTC
Description of problem:

mingw-win-iconv failed to build from source on AArch64.  This is due to the use of deprecated macros (i.e., %{_mingw32_bindir}) which were removed from mingw-filesystem with commit id=08bbe2dfa072d00f4f9d098e352a96221353963d.

Please merge from mingw-win-iconv in F23 or newer, build, and update.


Version-Release number of selected component (if applicable):

  mingw-win-iconv-0.0.6-1.el7


How reproducible:

consistently


Steps to Reproduce:
1. mock build mingw-win-iconv-0.0.6-1.el7 for epel7 AArch64
2.
3.


Actual results:

RPM build errors:
    File must begin with "/": %{_mingw32_bindir}/iconv.dll
    File must begin with "/": %{_mingw32_includedir}/iconv.h
    File must begin with "/": %{_mingw32_libdir}/libiconv.dll.a


Expected results:

Completes build without errors


Additional info:

Comment 1 Erik van Pienbroek 2015-12-03 23:58:43 UTC
The mingw-win-iconv in F23 has already stopped using the deprecated RPM macros (as of mingw-win-iconv-0.0.6-3). If necessary I can merge this fix to el7 as well

Comment 2 Yaakov Selkowitz 2015-12-04 00:50:38 UTC
(In reply to Erik van Pienbroek from comment #1)
> The mingw-win-iconv in F23 has already stopped using the deprecated RPM
> macros (as of mingw-win-iconv-0.0.6-3). If necessary I can merge this fix to
> el7 as well

Yes, please do.

Comment 3 Erik van Pienbroek 2015-12-04 21:41:41 UTC
It's built in epel7 now: http://koji.fedoraproject.org/koji/buildinfo?buildID=703290
Is this enough to consider this issue resolved?

Comment 4 Fedora Update System 2015-12-31 00:15:05 UTC
mingw-win-iconv-0.0.6-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-89e776ced6

Comment 5 Fedora Update System 2016-01-01 04:20:38 UTC
mingw-win-iconv-0.0.6-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-89e776ced6

Comment 6 Fedora Update System 2016-01-16 20:37:01 UTC
mingw-win-iconv-0.0.6-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.